Project

General

Profile

Bug #239

libcdio-0.90 API change

Added by Gaetan Bisson about 5 years ago. Updated about 5 years ago.

Status:
Closed
Priority:
Minor
Assignee:
-
Category:
plugins/cdaudio
Target version:
Start date:
January 08, 2013
Due date:
% Done:

100%

Estimated time:
Affects version:

Description

Compiling audacious-plugins-3.3.3 against libcdio-0.90 requires the following changes:
- updating the include cdio/cdda.h to cdio/paranoia/cdda.h (now part of the new libcdio-paranoia package)
- minor API changes regarding cdio_get_cdtext

The attached patch fixes those issues.

I am not very confident about the cdio_get_cdtext/cdtext_get business.
Please double-check that it indeed does what is intended. Thanks!

libcdio.patch (3.63 KB) libcdio.patch Gaetan Bisson, January 08, 2013 15:53
libcdio-v2.patch (4.29 KB) libcdio-v2.patch John Lindgren, January 09, 2013 02:32

History

#1 Updated by John Lindgren about 5 years ago

Thanks. I've changed the patch to be compatible with libcdio < 0.90. Would you please double-check that it still works with 0.90?

#2 Updated by Gaetan Bisson about 5 years ago

Your improved patch appears to work fine with libcdio-0.90. Cheers.

#3 Updated by John Lindgren about 5 years ago

  • Status changed from New to Closed
  • Target version set to 3.3.4
  • % Done changed from 0 to 100

Also available in: Atom PDF